export default async function handler(req, res) {
  if (req.method !== 'POST') {
    return res.status(405).json({ error: 'Method not allowed' });
  }

  try {
    const { untrustedData, trustedData } = req.body;
    const fid = trustedData?.fid || 'Not Available';
    const username = untrustedData?.username || 'Unknown';

    return res.status(200).json({
      version: 'vNext',
      image: {
        src: `https://fcidframehub.pro/api/render-fid?fid=${fid}&username=${username}`,
        aspectRatio: '1.91:1'
      },
      buttons: [
        {
          label: 'View Another',
          action: 'post'
        }
      ]
    });
  } catch (error) {
    console.error('Frame API error:', error);
    return res.status(500).json({ error: 'Internal server error' });
  }
}
